Index: code/branches/merge/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/SpaceShip.cc	(revision 1265)
+++ code/branches/merge/src/orxonox/objects/SpaceShip.cc	(revision 1272)
@@ -142,12 +142,12 @@
     void SpaceShip::init()
     {
-		if ((!network::Client::getSingleton() || network::Client::getSingleton()->getShipID()==objectID ))
-		{
-        	if (!setMouseEventCallback_)
-        	{
-          		InputManager::addMouseHandler(this, "SpaceShip");
-          		setMouseEventCallback_ = true;
-        	}
-		}
+    if ((!network::Client::getSingleton() || network::Client::getSingleton()->getShipID()==objectID ))
+    {
+          if (!setMouseEventCallback_)
+          {
+              InputManager::addMouseHandler(this, "SpaceShip");
+              setMouseEventCallback_ = true;
+          }
+    }
 
         // START CREATING THRUSTER
@@ -233,5 +233,5 @@
 
             COUT(4) << "Loader: Initialized spaceship steering with values " << maxSpeedForward_ << " " << maxSpeedRotateUpDown_ << " " << maxSpeedRotateRightLeft_ << " " << maxSpeedLoopRightLeft_ << " " << std::endl;
-    	}
+      }
 */
         if (xmlElem->Attribute("maxSpeed") && xmlElem->Attribute("maxSideAndBackSpeed") && xmlElem->Attribute("maxRotation") && xmlElem->Attribute("transAcc") && xmlElem->Attribute("rotAcc") && xmlElem->Attribute("transDamp") && xmlElem->Attribute("rotDamp"))
@@ -259,10 +259,10 @@
 
             COUT(4) << "Loader: Initialized SpaceShip" << std::endl;
-    	}
-
-    	if (xmlElem->Attribute("camera"))
-    	{
-    	    this->setCamera();
-    	}
+        }
+
+        if (xmlElem->Attribute("camera"))
+        {
+            this->setCamera();
+        }
     }
 
@@ -349,5 +349,5 @@
     }
 
-    bool SpaceShip::mouseMoved(const OIS::MouseEvent &e)
+    bool SpaceShip::mouseMoved(const MouseState& state)
     {
 /*
@@ -366,14 +366,14 @@
         if (this->bRMousePressed_)
         {
-            this->camNode_->roll(Degree(-e.state.X.rel * 0.10));
-            this->camNode_->yaw(Degree(e.state.Y.rel * 0.10));
-        }
-        else
-        {
-            float minDimension = e.state.height;
-            if (e.state.width < minDimension)
-                minDimension = e.state.width;
-
-            this->mouseX_ += e.state.X.rel;
+            this->camNode_->roll(Degree(-state.X.rel * 0.10));
+            this->camNode_->yaw(Degree(state.Y.rel * 0.10));
+        }
+        else
+        {
+            float minDimension = state.height;
+            if (state.width < minDimension)
+                minDimension = state.width;
+
+            this->mouseX_ += state.X.rel;
             if (this->mouseX_ < -minDimension)
                 this->mouseX_ = -minDimension;
@@ -381,5 +381,5 @@
                 this->mouseX_ = minDimension;
 
-            this->mouseY_ += e.state.Y.rel;
+            this->mouseY_ += state.Y.rel;
             if (this->mouseY_ < -minDimension)
                 this->mouseY_ = -minDimension;
@@ -409,9 +409,9 @@
     }
 
-    bool SpaceShip::mousePressed(const OIS::MouseEvent &e, OIS::MouseButtonID id)
-    {
-        if (id == OIS::MB_Left)
+    bool SpaceShip::mouseButtonPressed(const MouseState& state, MouseButton::Enum id)
+    {
+        if (id == MouseButton::Left)
             this->bLMousePressed_ = true;
-        else if (id == OIS::MB_Right)
+        else if (id == MouseButton::Right)
             this->bRMousePressed_ = true;
 
@@ -419,9 +419,9 @@
     }
 
-    bool SpaceShip::mouseReleased(const OIS::MouseEvent &e, OIS::MouseButtonID id)
-    {
-        if (id == OIS::MB_Left)
+    bool SpaceShip::mouseButtonReleased(const MouseState& state, MouseButton::Enum id)
+    {
+        if (id == MouseButton::Left)
             this->bLMousePressed_ = false;
-        else if (id == OIS::MB_Right)
+        else if (id == MouseButton::Right)
         {
             this->bRMousePressed_ = false;
@@ -454,6 +454,4 @@
             this->timeToReload_ = this->reloadTime_;
         }
-
-        OIS::Keyboard* mKeyboard = InputManager::getKeyboard();
 
 
@@ -523,23 +521,24 @@
         }
 
-        if( (network::Client::getSingleton() &&  network::Client::getSingleton()->getShipID() == objectID) || server_ ){
-          COUT(4) << "steering our ship: " << objectID << " mkeyboard: " << mKeyboard << std::endl;
-          if (mKeyboard->isKeyDown(OIS::KC_UP) || mKeyboard->isKeyDown(OIS::KC_W))
+        if( (network::Client::getSingleton() &&  network::Client::getSingleton()->getShipID() == objectID) || server_ )
+        {
+          COUT(4) << "steering our ship: " << objectID << std::endl;
+          if (InputManager::isKeyDown(KeyCode::Up) || InputManager::isKeyDown(KeyCode::W))
             this->acceleration_.x = this->translationAcceleration_;
-          else if(mKeyboard->isKeyDown(OIS::KC_DOWN) || mKeyboard->isKeyDown(OIS::KC_S))
+          else if(InputManager::isKeyDown(KeyCode::Down) || InputManager::isKeyDown(KeyCode::S))
             this->acceleration_.x = -this->translationAcceleration_;
           else
             this->acceleration_.x = 0;
 
-          if (mKeyboard->isKeyDown(OIS::KC_RIGHT) || mKeyboard->isKeyDown(OIS::KC_D))
+          if (InputManager::isKeyDown(KeyCode::Right) || InputManager::isKeyDown(KeyCode::D))
             this->acceleration_.y = -this->translationAcceleration_;
-          else if (mKeyboard->isKeyDown(OIS::KC_LEFT) || mKeyboard->isKeyDown(OIS::KC_A))
+          else if (InputManager::isKeyDown(KeyCode::Left) || InputManager::isKeyDown(KeyCode::A))
             this->acceleration_.y = this->translationAcceleration_;
           else
             this->acceleration_.y = 0;
 
-          if (mKeyboard->isKeyDown(OIS::KC_DELETE) || mKeyboard->isKeyDown(OIS::KC_Q))
+          if (InputManager::isKeyDown(KeyCode::Delete) || InputManager::isKeyDown(KeyCode::Q))
             this->momentum_ = Radian(-this->rotationAccelerationRadian_);
-          else if (mKeyboard->isKeyDown(OIS::KC_PGDOWN) || mKeyboard->isKeyDown(OIS::KC_E))
+          else if (InputManager::isKeyDown(KeyCode::PageDown) || InputManager::isKeyDown(KeyCode::E))
             this->momentum_ = Radian(this->rotationAccelerationRadian_);
           else
Index: code/branches/merge/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/branches/merge/src/orxonox/objects/SpaceShip.h	(revision 1265)
+++ code/branches/merge/src/orxonox/objects/SpaceShip.h	(revision 1272)
@@ -34,5 +34,5 @@
 #include <OgrePrerequisites.h>
 
-#include "core/InputHandler.h"
+#include "core/InputInterfaces.h"
 #include "Camera.h"
 #include "Model.h"
@@ -68,8 +68,9 @@
                 { SpaceShip::instance_s->setMaxSpeed(value); }
 
-            bool mouseMoved(const OIS::MouseEvent &e);
-            bool mousePressed(const OIS::MouseEvent &e, OIS::MouseButtonID id);
-            bool mouseReleased(const OIS::MouseEvent &e, OIS::MouseButtonID id);
-            bool mouseHeld(const OIS::MouseEvent &e, OIS::MouseButtonID id) { return true; }
+            bool mouseButtonPressed (const MouseState& state, MouseButton::Enum id);
+            bool mouseButtonReleased(const MouseState& state, MouseButton::Enum id);
+            bool mouseButtonHeld    (const MouseState& state, MouseButton::Enum id) { return true; }
+            bool mouseMoved         (const MouseState& state);
+            bool mouseScrolled      (const MouseState& state) { return true; }
 
 
